# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['tuubacrypt']

package_data = \
{'': ['*']}

install_requires = \
['click>=7.1.1,<8.0.0']

entry_points = \
{'console_scripts': ['tcrypt = tuubacrypt.cli:main']}

setup_kwargs = {
    'name': 'tuubacrypt',
    'version': '0.4.0',
    'description': 'TuubaCrypt - the least useful encryption and decryption algorithm.',
    'long_description': '# TuubaCrypt 🎺\n\nThey say you should never write your own encryption algorithm. Sounds like _fun_. That\'s what we are going to do.\n\n> "Tuuba" is Finnish and translates to ["Tuba"](https://en.wikipedia.org/wiki/Tuba) since this package is as useful to the software development as a random person sitting in your office playing tuba.\n\n\n## Encrypting Data\n\nEncryption works for letters `A-Z` and numbers `0-9`, and is case sensitive. Every other character in input data flows through unchanged. To be really ~~secure~~ silly, package translates letters and numbers wrapping at edges, e.g. `Z => A` and `9 => 0`.\n\nFirst affected character is translated by **1** (`A => B` or `1 => 2`). Second affected character is translated by **2** (`O => Q` or `7 => 9`) until the end of the string.\n\n## Decrypting Data\n\nDecryption works in a similar manner by translating characters in different direction. For example, the fourth affected character in decryption is translated like `K => H` or `2 => 8`.\n\n## Installing\n\nThis project ships with a command-line tool called `tcrypt` to mess with your data.\n\n```sh\npip install --upgrade tuubacrypt\ntcrypt --help\n```\n\n## License\n\nJust walk away, OK?\n\n## Support\n\n![License](https://media.giphy.com/media/PjfpYh9oqpd0Q/giphy.gif)\n\n## Thanks\n\n**Mikko Vieru**, for the wacky idea.\n',
    'author': 'Niko Heikkilä',
    'author_email': 'yo@nikoheikkila.fi',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/nikoheikkila/tuubacrypt',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
